<?php 
/**
 * JavaScripts In Header
 */
function theme_enqueue_scripts() {
	global $_PHPSERVER;
	if((is_admin() && !is_shortcode_preview()) ||'wp-login.php' == basename($_PHPSERVER['PHP_SELF'])){
		return;
	}
	global $wp_version;

	$post_id = theme_get_queried_object_id();
	
	$move_bottom = theme_get_option('advanced','move_bottom');

	if (function_exists('check_responsive_menu_pro_php_version') || function_exists('check_responsive_menu_php_version')) {
		$responsive_menu_version= '4.0';
		if (function_exists('check_responsive_menu_pro_php_version')) $responsive_menu_version = get_option('responsive_menu_pro_version', '4.0');
		if (function_exists('check_responsive_menu_php_version')) $responsive_menu_version = get_option('responsive_menu_version', '4.0');
		$responsive_menu_version= apply_filters('theme_responsive_menu_version', $responsive_menu_version);
		if (version_compare(preg_replace("/[^0-9\.]/","",$responsive_menu_version), '4.0', '<')) {
			wp_enqueue_script( 'jquery-responsive-menu', THEME_JS .'/responsive-menu/responsive-menu-adjustmenu.min.js', array('jquery'),'1.0',$move_bottom);
		}
	}

	wp_register_script( 'jquery-tinyslider', THEME_JS .'/jquery-tinyslider.min.js', array('jquery'),false,$move_bottom);
	wp_register_script( 'tinyslider-init', THEME_JS .'/tinySliderInit.min.js', array('jquery','jquery-tinyslider'),false,$move_bottom);
	
	if( !theme_get_option('advanced','no_fancybox') ){
		wp_enqueue_script( 'jquery-fancybox', THEME_JS .'/jquery.fancybox.min.js', array('jquery'),'2.1.5',$move_bottom);
	}

	wp_enqueue_script( 'custom-js', THEME_JS .'/custom.combine.js', array('jquery'),false,$move_bottom);

	wp_register_script( 'jquery-sticker', THEME_JS .'/jquery-sticker.min.js', array('jquery'),'0.6.5',$move_bottom);

	if((is_front_page() && theme_get_option('footer','sticky_footer')) || (theme_get_inherit_option($post_id, '_sticky_footer', 'footer','sticky_footer'))) {
		wp_enqueue_script( 'jquery-stickyfooter', THEME_JS .'/jquery.stickyfooter.min.js', array('jquery-sticker'),'1.0',$move_bottom);
	}
	if(theme_get_option('general','sticky_header')){ 
		wp_enqueue_script( 'jquery-stickyheader', THEME_JS .'/jquery.stickyheader.min.js', array('jquery-sticker'),'1.0',$move_bottom);
	}
	if(theme_get_option('general','sticky_sidebar')){
		wp_enqueue_script( 'jquery-stickysidebar', THEME_JS .'/jquery.stickysidebar.min.js', array('jquery-sticker'),'1.0',$move_bottom);
	}
	
	wp_register_script( 'jquery-carousel', THEME_JS .'/jquery-carousel.min.js', array('jquery'),false,$move_bottom);
	wp_register_script( 'carousel-init', THEME_JS .'/carouselInit.min.js', array('jquery','jquery-carousel'),false,$move_bottom);
	//wp_register_script( 'mediaelementjs-scripts', THEME_URI .'/mediaelement/mediaelement-and-player.js', array('jquery'),'2.11.3',$move_bottom);


	wp_register_script( 'cufon-yui', THEME_JS .'/cufon-yui.js', array('jquery'),'1.09i');
	wp_register_script( 'jquery-quicksand', THEME_JS .'/jquery.quicksand.min.js', array('jquery'),'1.3',$move_bottom);
	wp_register_script( 'jquery-easing', THEME_JS . '/jquery.easing.1.4.1.min.js', array('jquery'),'1.4.1',$move_bottom);

	if (theme_get_inherit_option($post_id, '_load_gmap_api', 'advanced','load_gmap_api')){
		$gmap_api_key = theme_get_option('advanced', 'gmap_api_key');
		if( ! empty( $gmap_api_key ) ){
			$gmap_url_with_api_key = add_query_arg( 'key', urlencode( $gmap_api_key ), "https://maps.googleapis.com/maps/api/js");
			wp_register_script('gmap-api-loader',$gmap_url_with_api_key,array('jquery'),'2.1.5', $move_bottom); 	
		}else{
			wp_register_script('gmap-api-loader','https://maps.googleapis.com/maps/api/js',array('jquery'),'2.1.5', $move_bottom); 
		}
		wp_register_script( 'jquery-gmap', THEME_JS .'/jquery.gmap.min.js', array('jquery','gmap-api-loader'),'2.1.5', $move_bottom);
	} else wp_register_script( 'jquery-gmap', THEME_JS .'/jquery.gmap.min.js', array('jquery'),'2.1.5', $move_bottom);
	
	wp_register_script( 'jquery-tweet', THEME_JS .'/jquery.tweet.min.js', array('jquery'));
	wp_register_script( 'jquery-tools-validator', THEME_JS .'/jquery.tools.validator.min.js', array('jquery'),'1.2.7',$move_bottom);
	wp_register_script( 'jquery-isotope', THEME_JS .'/isotope.pkgd.min.js', array('jquery'), '3.0.6',$move_bottom);

	//slideshow
	//Unleash Accordion Slider
	wp_register_script( 'jquery-unleash', THEME_JS .'/unleash/jquery.unleash.2.min.js', array('jquery','jquery-easing'),'2',$move_bottom);
	wp_register_script( 'unleash-init', THEME_JS . '/unleashSliderInit.min.js',array('jquery-unleash'),false,$move_bottom);
	//Nivo Slider
	wp_register_script( 'jquery-nivo', THEME_JS .'/nivo/jquery.nivo.slider.pack.js', array('jquery'),false,$move_bottom);
	wp_register_script( 'nivo-init', THEME_JS . '/nivoSliderInit.min.js',array('jquery-nivo'),false,$move_bottom);

	//Fotorama Slider
	wp_register_script( 'jquery-fotorama', THEME_JS .'/fotorama/fotorama.min.js', array('jquery'),false,$move_bottom);
	wp_register_script( 'fotorama-init', THEME_JS . '/fotoramaSliderInit.min.js',array('jquery-fotorama'),false,$move_bottom);
	
	if ( ! class_exists( 'WooCommerce_Quantity_Increment') && theme_get_option('advanced','woocommerce_spinners'))	{
		wp_register_script( 'theme-quantity-spinner-init', THEME_JS . '/jquery-quantity-increment.min.js', array( 'jquery' ) );
	}
	if ( is_singular() ){
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action('wp_enqueue_scripts', 'theme_enqueue_scripts');

function theme_enqueue_styles(){
	global $_PHPSERVER;
	if((is_admin() && !is_shortcode_preview()) || 'wp-login.php' == basename($_PHPSERVER['PHP_SELF'])){
		return;
	}
	//wp_register_style('mediaelementjs-styles', THEME_URI.'/mediaelement/mediaelementplayer.css', false, false, 'all');
	

	wp_register_style('nivo-css', THEME_CSS.'/slideshow-nivo.css', false, false, 'all');
	wp_register_style('unleash-css', THEME_CSS.'/slideshow-unleash.css', false, false, 'all');
	wp_register_style('fotorama-css', THEME_CSS.'/slideshow-fotorama.css', false, false, 'all');
	
	if(theme_get_option('advanced','complex_class')){
		wp_enqueue_style('theme-style', THEME_CSS.'/screen_complex.min.css', false, false, 'all');
	}else{
		wp_enqueue_style('theme-style', THEME_CSS.'/screen.min.css', false, false, 'all');
	}


	theme_enqueue_icon_set();
	if(theme_get_option('advanced','responsive') && !is_shortcode_preview()){
		wp_enqueue_style('theme-responsive', THEME_CSS.'/responsive.min.css', false, false, 'all');
	}

	do_action('theme_print_styles');

	if(is_multisite()){
		global $blog_id;
		if( file_exists(THEME_CACHE_DIR.'/skin_'.$blog_id.'.css')) {
			wp_enqueue_style('theme-skin', THEME_CACHE_URI.'/skin_'.$blog_id.'.css', array('theme-style'), number_format(filemtime( THEME_CACHE_DIR.'/skin_'.$blog_id.'.css' ),null,'.','.'), 'all');
		} else {
			if( file_exists(THEME_DIR.'/cache/skin.css')) {
				// grab the default skin.css that ships with the theme.
				wp_enqueue_style('theme-skin', THEME_URI.'/cache/skin.css', array('theme-style'), number_format(filemtime( THEME_DIR.'/cache/skin.css' ),null,'.','.'), 'all');
			}
		}
	}else{
		if( file_exists(THEME_CACHE_DIR.'/skin.css')) {
			wp_enqueue_style('theme-skin', THEME_CACHE_URI.'/skin.css', array('theme-style'), number_format(filemtime( THEME_CACHE_DIR.'/skin.css' ),null,'.','.'), 'all');
		} else {
			if( file_exists(THEME_DIR.'/cache/skin.css')) {
				// grab the default skin.css that ships with the theme.
				wp_enqueue_style('theme-skin', THEME_URI.'/cache/skin.css', array('theme-style'), number_format(filemtime( THEME_DIR.'/cache/skin.css' ),null,'.','.'), 'all');
			}
		}
	}
}
add_action('wp_print_styles', 'theme_enqueue_styles');

if(theme_get_option('font','cufon_enabled')){
	function theme_add_cufon_script(){
		$fonts = theme_get_option('font','cufon_used');
		if(is_array($fonts)){
			foreach ($fonts as $font){
				if(is_array($font)){
					wp_register_script($font['file_name'], $font['url'], array('cufon-yui'));
					wp_print_scripts($font['file_name']);
				}else{
					if (defined('THEME_CHILD_FONT_DIR')  && defined('THEME_CHILD_FONT_URI')) {
						if (file_exists(THEME_CHILD_FONT_DIR.'/'.$font)) {
							wp_register_script($font, THEME_CHILD_FONT_URI .'/'.$font, array('cufon-yui'));
						}
						else {
							 wp_register_script($font, THEME_FONT_URI .'/'.$font, array('cufon-yui'));
						}
					} else 
					wp_register_script($font, THEME_FONT_URI .'/'.$font, array('cufon-yui'));
					wp_print_scripts($font);
				}
			}
		}
		wp_print_scripts('cufon-yui');
	}
	add_filter('wp_head','theme_add_cufon_script',1);	
}
if(theme_get_option('font','gfont_used')){
	function theme_add_gfont_lib(){
		$http = "https";
		$fonts = theme_get_option('font','gfont_used');
		if(is_array($fonts)){
			foreach ($fonts as $font){
				$fontname = preg_replace('/\s+/', '-', $font);
				$subsets = theme_get_google_font_subsets($font);
				if(empty($subsets)){
					$subsets = array('latin');
				}
				if(count($subsets) == 1 && $subsets[0] == 'latin'){
					$subsets_str = '';
				}else{
					$subsets_str = '&subset='.implode(',', $subsets);
				}
				wp_enqueue_style('font|'.$fontname,$http.'://fonts.googleapis.com/css?family='.$font.$subsets_str);
			}
		}
	}
	add_action("wp_print_styles", 'theme_add_gfont_lib');
}
