<?php
	global $wp_filesystem;
	if ($wp_filesystem==NULL) WP_Filesystem();
	$fontface_css='';
	if(theme_get_option('font','fontface_enabled')){
		$fontface_used = theme_get_option('font','fontface_used');
		$fontface_default = theme_get_option('font','fontface_default');
		if(is_array($fontface_used)){
			foreach ($fontface_used as $font_str){
				if(is_array($font_str)){
					$font_name = $font_str['name'];
					$font_folder = $font_str['folder'];
					if(file_exists($font_str['dir'])){
						$file_content = $wp_filesystem->get_contents($font_str['dir']);
						if( preg_match("/@font-face\s*{[^}]*?font-family\s*:\s*('|\")$font_name\\1.*?}/is", $file_content, $match) ){
							if(false === stripos($font_str['url'], get_stylesheet_directory_uri())){
								$uri = str_replace('stylesheet.css','',$font_str['url']);
								$fontface_css .= preg_replace("/url\s*\(\s*['|\"]\s*/is","\\0$uri",$match[0])."\n";
							}else{
								$uri = THEME_FONTFACE_URI;
								$fontface_css .= preg_replace("/url\s*\(\s*['|\"]\s*/is","\\0".$uri."/$font_folder/",$match[0])."\n";
							}
						}
					}
			
				}else{
					$font_info = explode("|", $font_str);
					$font_name = $font_info[1];
					$stylesheet = THEME_FONTFACE_DIR.'/'.$font_info[0].'/stylesheet.css';
					if(file_exists($stylesheet)){
						$file_content = $wp_filesystem->get_contents($stylesheet);
						if( preg_match("/@font-face\s*{[^}]*?font-family\s*:\s*('|\")$font_info[1]\\1.*?}/is", $file_content, $match) ){
							if(defined('THEME_CHILD_NAME')){
								$uri = get_template_directory_uri();
								$fontface_css .= preg_replace("/url\s*\(\s*['|\"]\s*/is","\\0".$uri."/fontfaces/$font_info[0]/",$match[0])."\n";
							}else{
								$uri = THEME_FONTFACE_URI;
								$fontface_css .= preg_replace("/url\s*\(\s*['|\"]\s*/is","\\0".$uri."/$font_info[0]/",$match[0])."\n";
							}
						}
					}elseif(defined('THEME_CHILD_FONTFACE_DIR') && file_exists(THEME_CHILD_FONTFACE_DIR.'/'.$font_info[0].'/stylesheet.css')){
						$stylesheet = THEME_CHILD_FONTFACE_DIR.'/'.$font_info[0].'/stylesheet.css';
						$file_content = $wp_filesystem->get_contents($stylesheet);
						if( preg_match("/@font-face\s*{[^}]*?font-family\s*:\s*('|\")$font_info[1]\\1.*?}/is", $file_content, $match) ){

							$uri = THEME_CHILD_FONTFACE_URI;
							$fontface_css .= preg_replace("/url\s*\(\s*['|\"]\s*/is","\\0".$uri."/$font_info[0]/",$match[0])."\n";
						}
					}

					if($fontface_default == $font_str){
						$fontface_default_name = $font_name;
					}
				}
			}
		}
	$minify=theme_get_option('advanced','theme_minify');
	if ($minify) $css=theme_minify_css_js($fontface_css);
	}
	return $fontface_css;