<?php
class Theme_Slideshow_Nivo {
	public $add_script = false ;

	public function __construct(){
		add_action('wp_footer', array($this, 'header'));
	}
	
	public function header() {
		if($this->add_script){
			wp_enqueue_script('nivo-init');
			wp_enqueue_style('nivo-css');
		}
	}
	public function render($images, $options, $shortcode = false) {
		if(empty($images))
			return '';
		$this->add_script = true;

		$marginTop = 'margin-top:'.$options['marginTop'].'px;';
		$marginBottom = 'margin-bottom:'.$options['marginBottom'].'px;';
		if(!isset($options['width'])){
			$options['width'] = 960;
		}
		$imageW = (int)$options['width'];
		$imageH = (int)$options['height'];

		$sliderW = 'width:'.$imageW.'px;';
		$sliderH = 'height:'.$imageH.'px;';
		/*$images = slideshow_generator('get_images',$category,$number,'full');*/
		$slide_id = md5(serialize($images).rand(10,100));
		$caption = $options['caption'];
		$captionOpacity = $options['captionOpacity'];
		$classname = array();
		$captionType = $options['captionType'];
		if($options['directionNavHide']){
			$classname[] = 'direct-hide';
		}
		if($options['controlNavHide']){
			$classname[] = 'control-hide';
		}
		$imageH_768 = 728/$imageW *$imageH;
		$imageH_568 = 528/$imageW *$imageH;
		$imageH_480 = 440/$imageW *$imageH;
		$imageH_320 = 280/$imageW *$imageH;

		$animations = Array('sliceDownRight','sliceDownLeft','sliceUpRight','sliceUpLeft','sliceUpDown','sliceUpDownLeft','fold','fade','boxRandom','boxRain','boxRainReverse','boxRainGrow','boxRainGrowReverse');
		if(!isset($options["effects"])) $options["effects"]='random';
		if ($options["effects"]=="random") {
			$count= count($animations);
			$random_value = rand(0,($count-1));
			$options["effects"]=$animations[$random_value];
		}
		if (!in_array($options["effects"],$animations)) $options["effects"]= "fade";

		if(!isset($options["retinaImages"])) $options["retinaImages"]='default';
		$retina_overide=$options["retinaImages"];
		if ($retina_overide=='default') $retina_overide=theme_get_option('advanced','theme_retina_images');
		if ($retina_overide==='true') $retina_overide=true;
		if ($retina_overide==='false') $retina_overide=false;

		$classname = implode(" ",$classname);
		if (isset($options['showAfterInit'])&&$options['showAfterInit']=='true') $display_none='display:none;'; else $display_none='';
		$options = htmlspecialchars(json_encode($options));

		$output = <<<HTML
<div class="nivo-container {$classname}" style="{$marginTop}{$marginBottom}{$sliderW}{$display_none}">
<div id="nivo{$slide_id}" class="nivoSlider nivoSlider-no-js" data-options='{$options}'>
HTML;
		$i = 1;
		foreach($images as $image) {
			if ($retina_overide== true) {
				$retina_multiplier=theme_get_retina_multiplier();
				$imageWTemp=intval($imageW*$retina_multiplier);
				$imageHTemp=intval($imageH*$retina_multiplier);
				$image_src = theme_get_image_src($image['source'], array($imageWTemp,$imageHTemp));
			} else $image_src = theme_get_image_src($image['source'], array($imageW,$imageH));			

			if (isset($image['source']['value'])) $data_thumb= ' data-thumbnail="'.$image['source']['value'].'" '; else $data_thumb='';
			$desc = '';
			if($caption) {
				switch ($captionType) {
					case 'title':
						if(isset($image['title'])){
							$desc = $image['title'];
						}
						break;
					case 'excerpt':
					case 'title_excerpt':
						$desc = "#".$slide_id.$i;
						break;
				}
			}
			if(isset($image['link']) && $image['link'] != false){
				$alt='';
				$output .= '<a href="'.$image['link'].'" target="'.$image['target'].'" class="nivo-image-link"><img '.$data_thumb.'src="'.$image_src.'" title="'.$desc.'" alt="'.$alt.'" /></a>';
			}else{
				$alt='';
				$output .= '<img '.$data_thumb.'src="'.$image_src.'" title="'.$desc.'" alt="'.$alt.'" />';
			}
			$i++;
		}

		$output .= <<<HTML
</div>	
HTML;
		if($caption) {
			$i = 1;
			foreach($images as $image) {
				if($captionType == 'excerpt'){
					$output .= '<div id="'.$slide_id.$i.'" class="nivo-html-caption">';
					$output .= '<div class="nivo-desc">';
					$output .= apply_shortcodes($image['desc']);
					$output .= '</div>';
					$output .= '</div>';
				}else if($captionType == 'title_excerpt'){
					$output .= '<div id="'.$slide_id.$i.'" class="nivo-html-caption">';
					$output .= '<div class="nivo-title-desc">';
					if(!empty($image['title'])){
						$output .= '<h3 class="nivo-title">'.$image['title'].'</h3>';
					}
					if(!empty($image['desc'])){
						$output .= '<div class="nivo-desc">';
						$output .= apply_shortcodes($image['desc']);
						$output .= '</div>';
					}
					$output .= '</div>';
					$output .= '</div>';
				}
				$i++;
			}
		}
		
		$output .= <<<HTML
</div>
HTML;
$nivo_css='';
	if($shortcode){
		$nivo_css .= <<<HTML
#nivo{$slide_id} .nivo-caption {
	opacity: {$captionOpacity};
}
@media only screen and (max-width: 979px) {
	.responsive #nivo{$slide_id} {
		height: auto;
	}
}

HTML;
	} else {
		$nivo_css .= <<<HTML

#nivo{$slide_id} .nivo-caption {
	opacity: {$captionOpacity};
}

HTML;
	}
	    if (!empty($nivo_css)) theme_add_css_to_footer($nivo_css);
		return $output;
	}
}
