<?php
if(!function_exists('theme_section_blog_meta')){
/**
 * The default template for displaying blog meta in the pages
 */
function theme_section_blog_meta($single = false, $metaicons=true, $masonry = false){
	global $post;
	if (empty($post)) return '';
	$output=$category_slug=$tag_slug=$taxonomy=$meta_items='';
	
	$taxonomy = get_post_type($post->ID);
	//$taxonomy_name=get_query_var( 'taxonomy' );
	
	if (!empty($taxonomy) && $taxonomy!='post') {
		$terms=get_object_taxonomies($taxonomy);
		
		if (!empty($terms)) {
			foreach ( $terms as $tax_type_key => $taxonomy_slug_name ) {
				
				$category_matches= array( $taxonomy.'_cat',$taxonomy.'_category',$taxonomy.'_categorys',$taxonomy,'_categories',$taxonomy.'_categorie');
				
				if (in_array($taxonomy_slug_name,$category_matches)) {
					if (empty($category_slug)) $category_slug=$taxonomy_slug_name;
				}
				$tag_matches= array( $taxonomy.'_tag',$taxonomy.'_tags','post_tag');
				
				if (in_array($taxonomy_slug_name,$tag_matches)) {
					if (empty($tag_slug)) $tag_slug=$taxonomy_slug_name;
				}
			}
		}
	}
	if($taxonomy=='page'){
		$meta_items = theme_get_option('blog','page_meta_items');
	} else if($single){
		$meta_items = theme_get_option('blog','single_meta_items');
	} else if ($masonry) {
		$meta_items = theme_get_option('blog','masonry_meta_items');
	} else{
		$meta_items = theme_get_option('blog','meta_items');
	}

	if (!is_array($meta_items) && !empty($meta_items) ) $meta_items= explode(',',$meta_items);

	if (empty($meta_items)) return '';

	if(!empty($meta_items)){
		if (is_rtl()) $meta_items=array_reverse($meta_items);
		$outputs = array();
		foreach($meta_items as $item){
			switch($item){
				case 'category':
					$content='';
					if($taxonomy!='page'){
						if (is_rtl()) $list_separator=' ,'; else $list_separator=', ';
						if ($taxonomy!='post' && !empty($category_slug)) {
							if (!empty($category_slug))	$content = get_the_term_list($post->ID,$category_slug,'',$list_separator);
							if ($taxonomy=='portfolio') $content=wp_strip_all_tags($content);
						} else {
							if ($taxonomy=='post') $content = get_the_category_list($list_separator);
						}
						if(!empty($content)){
							if ($metaicons) {
								$the_icon='icon-folder';
								$the_icon= apply_filters('theme_meta_category_icon',$the_icon);
								$meta_icon_before=$meta_icon_after='';
								$meta_icon='<i class="icon '.$the_icon.' meta-icon"></i>';
								if (is_rtl()) $meta_icon_after=$meta_icon; else $meta_icon_before=$meta_icon;
								$outputs[] = '<span class="categories">'.$meta_icon_before.$content.$meta_icon_after.'</span>';
							} else 
							$outputs[] = '<span class="categories">'.__('Posted in: ', 'striking-r').$content.'</span>';
						}
					}
					break;
				case 'tags':
					$content=$tags='';
					if (is_rtl()) $list_separator=' ,'; else $list_separator=', ';					
					if ($taxonomy!='post' && !empty($tag_slug)) {
						$tags=get_terms( $tag_slug);
						if ($metaicons) {
							$content = get_the_term_list($post->ID,$tag_slug,'',$list_separator);
						 } else $content = get_the_term_list($post->ID,$tag_slug,__('Tags: ', 'striking-r'),$list_separator);
						 if ($taxonomy=='portfolio') $content=wp_strip_all_tags($content);
					} else if ($taxonomy=='post') {
						$tags = get_the_tags();
						if ($metaicons) {
							$content = get_the_tag_list('',$list_separator,'');
						} else $content = get_the_tag_list(__('Tags: ', 'striking-r'),$list_separator,'');
					}
					
					if ($metaicons) {
						if (is_array($tags)) {
							$count=count($tags);
							if ($count>1) $the_icon= apply_filters('theme_meta_tags_icon','icon-tags'); else $the_icon= apply_filters('theme_meta_tag_icon','icon-tag');
							$meta_icon='<i class="icon '.$the_icon.' meta-icon"></i>';
							$meta_icon_before=$meta_icon_after='';
							if (is_rtl()) $meta_icon_after=$meta_icon; else $meta_icon_before=$meta_icon;
							if (!empty($content)) $content = $meta_icon_before.$content.$meta_icon_after;
						}
					} 
					if(!empty($content)){
						$outputs[] = '<span class="tags">'.$content.'</span>';
					}
					break;
				case 'author':
					global $authordata;
					if(!$authordata){
						$authordata = get_userdata($post->post_author);
					}
					switch(theme_get_option('blog','author_link_to_website')){
						case 'website':
							$author = get_the_author_link();
							break;
						case 'archive':
							$author = get_the_author_posts_link();
							break;
						case 'none':
						default:
							$author = get_the_author();
					}
					if ($metaicons) {
						$the_icon='icon-user';
						$the_icon= apply_filters('theme_meta_author_icon',$the_icon);
						$meta_icon='<i class="icon '.$the_icon.' meta-icon"></i>';
						$meta_icon_before=$meta_icon_after='';
						if (is_rtl())$meta_icon_after=$meta_icon; else $meta_icon_before=$meta_icon;
						$outputs[] = '<span class="author vcard">'.$meta_icon_before.'<span class="fn">'.$author.'</span>'.$meta_icon_after.'</span>';
					} else
					$outputs[] = '<span class="author vcard">'.__('By: ', 'striking-r').'<span class="fn">'.$author.'</span></span>';
					
					break;
				case 'date':
					$the_icon='icon-calendar';
					$the_icon= apply_filters('theme_meta_calendar_icon',$the_icon);
					if ($metaicons) $meta_icon='<i class="icon '.$the_icon.' meta-icon meta-icon-calendar"></i>'; else $meta_icon='';
					$meta_icon_before=$meta_icon_after='';
					if (is_rtl())$meta_icon_after=$meta_icon; else $meta_icon_before=$meta_icon;
					if ($taxonomy!='post') {
						$outputs[] = apply_filters('theme_metadata_date','<time class="published updated" datetime="'.get_the_time('Y-m-d').'"><a href="'.get_permalink($post->ID).'">'.$meta_icon_before.get_the_date().$meta_icon_after.'</a></time>',get_the_date(),$meta_icon_before,$meta_icon_after,$single);
					} else {
						$outputs[] = apply_filters('theme_metadata_date','<time class="published updated" datetime="'.get_the_time('Y-m-d').'"><a href="'.get_month_link(get_the_time('Y'), get_the_time('m')).'">'.$meta_icon_before.get_the_date().$meta_icon_after.'</a></time>',get_the_date(),$meta_icon_before,$meta_icon_after,$single);
					}
					break;
			}
		}
		$output = implode('<span class="separater">|</span>',$outputs);
		$output .= get_edit_post_link( __( 'Edit', 'striking-r' ), '<span class="separater">|</span> <span class="edit-link">', '</span>' );
		if(in_array('comment',$meta_items) && ($post->comment_count > 0 || comments_open() && $post->comment_count > 0)){
			ob_start();
			if ($metaicons) {
				$the_icon='icon-comments';
				$the_icon= apply_filters('theme_meta_comments_icon',$the_icon);
				$meta_icon='<i class="icon '.$the_icon.' meta-icon meta-icon-comments"></i>';
				$the_icon_single='icon-comment';
				$the_icon_single= apply_filters('theme_meta_comments_icon_single',$the_icon_single);
				$meta_icon_single='<i class="icon '.$the_icon_single.' meta-icon meta-icon-comments"></i>';
				comments_popup_link('0 '.$meta_icon,'1 '.$meta_icon_single,'% '.$meta_icon,'');
			} else comments_popup_link(__('No Comments','striking-r'), __('1 Comment','striking-r'), __('% Comments','striking-r'),'');
			$output .= '<span class="comments">'.ob_get_clean().'</span>';
		}
	}

	return $output;
}
}