<?php
if(!function_exists('theme_section_breadcrumbs')){
/**
 * The default template for displaying breadcrumbs in the pages
 */
 
function get_theme_breadcrumbs($yoast_enabled) {
	if ( function_exists('yoast_breadcrumb') && $yoast_enabled) {
		$output = yoast_breadcrumb('<section id="breadcrumbs">','</section>',false);
	} else {
		$output = breadcrumbs_plus(apply_filters('theme_setup_breadcumbs_arguments',array(
			'bcp_text_domain'=> 'striking-r',
			'prefix' => '<section id="breadcrumbs">',
			'suffix' => '</section>',
			'title' => false,
			'home' => __( 'Home', 'striking-r' ),
			'separator' => __( '&raquo;', 'striking-r' ),
			'front_page' => false,
			'bold' => false,
			'blog' => __( 'Blog', 'striking-r' ),
			'echo' => false,
			'show_shop' => theme_get_option('advanced','woocommerce_show_shop'),
		)));
	}
	return $output;
}

function theme_section_breadcrumbs($post_id = NULL){
	$output = '';
	$yoast_enabled=false;
	if ( function_exists('yoast_breadcrumb') ) {
		if (!empty(yoast_breadcrumb('<section id="breadcrumbs">','</section>',false))) $yoast_enabled=true;
	}
	
	if(function_exists('is_woocommerce') && is_woocommerce()){
		if (is_archive() && !is_shop()) {
			$enable = theme_is_enabled(theme_get_option('advanced','woocommerce_breadcrumb'), theme_get_option('general','breadcrumb'));
		}
		else {
			if ($post_id) {
					$enable= theme_is_enabled(get_post_meta($post_id, '_breadcrumb', true), theme_get_option('general','breadcrumb'));
				} else $enable = theme_get_option('general','breadcrumb');
			} 
		if ($enable) {
			if (theme_get_option('advanced','woocommerce_use_theme_breadcrumb')) {
				$output=get_theme_breadcrumbs($yoast_enabled);
			} else {
				if ( function_exists('yoast_breadcrumb') && $yoast_enabled ) {
					$output = yoast_breadcrumb('<section id="breadcrumbs">','</section>',false);
				} else {
					ob_start();
					woocommerce_breadcrumb();
					$output .= ob_get_clean();
				}
			}
		}
	} else if( (!$post_id && theme_get_option('general','breadcrumb')) ||
		($post_id && theme_is_enabled(get_post_meta($post_id, '_breadcrumb', true), theme_get_option('general','breadcrumb')))
	){
		$output=get_theme_breadcrumbs($yoast_enabled);
	}
	return $output;
}
}