<?php
/**
 * Template Name: Full Width
 * Description: A Page Template for displaying pages without sidebar
 */

if(is_blog()){
	$template=theme_get_template_path('template_blog.php');
	if (!empty($template)) return load_template($template);
}

$post_id = theme_get_queried_object_id();
$content_width = 960;
$page_edit_link = theme_get_option('advanced','edit_link');
$show_comments = theme_get_inherit_option($post_id, '_default_page_show_comments', 'general','default_page_show_comments');
get_header(); 
echo theme_generator('introduce',$post_id);?>
<div id="page">
	<div class="inner">
		<?php echo theme_generator('breadcrumbs',$post_id);?>
		<div id="main">
<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
			<div class="content">
				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'striking-r' ), 'after' => '</div>' ) ); ?>
				<?php if ($show_comments) comments_template( '', true ); ?>
				<?php  if ($page_edit_link) edit_post_link(__('Edit', 'striking-r'),'<footer><p class="entry_edit">','</p></footer>'); ?>
				<div class="clearboth"></div>
			</div>
<?php endwhile; ?>
		</div>
	</div>
</div>
<?php get_footer(); ?>
