/*!
 * jQuery UI Slider 1.12.1
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Slider
//>>group: Widgets
//>>description: Displays a flexible slider with ranges and accessibility via keyboard.
//>>docs: http://api.jqueryui.com/slider/
//>>demos: http://jqueryui.com/slider/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/slider.css
//>>css.theme: ../../themes/base/theme.css

var widgetsSlider=$.widget("ui.slider",$.ui.mouse,{version:"1.12.1",widgetEventPrefix:"slide",options:{animate:!1,classes:{"ui-slider":"ui-corner-all","ui-slider-handle":"ui-corner-all","ui-slider-range":"ui-corner-all ui-widget-header"},distance:0,max:100,min:0,orientation:"horizontal",range:!1,step:1,value:0,values:null,change:null,slide:null,start:null,stop:null},numPages:5,_create:function(){this._keySliding=!1,this._mouseSliding=!1,this._animateOff=!0,this._handleIndex=null,this._detectOrientation(),this._mouseInit(),this._calculateNewMax(),this._addClass("ui-slider ui-slider-"+this.orientation,"ui-widget ui-widget-content"),this._refresh(),this._animateOff=!1},_refresh:function(){this._createRange(),this._createHandles(),this._setupEvents(),this._refreshValue()},_createHandles:function(){var a,b,c=this.options,d=this.element.find(".ui-slider-handle"),e="<span tabindex='0'></span>",f=[];for(b=c.values&&c.values.length||1,d.length>b&&(d.slice(b).remove(),d=d.slice(0,b)),a=d.length;a<b;a++)f.push(e);this.handles=d.add($(f.join("")).appendTo(this.element)),this._addClass(this.handles,"ui-slider-handle","ui-state-default"),this.handle=this.handles.eq(0),this.handles.each(function(a){$(this).data("ui-slider-handle-index",a).attr("tabIndex",0)})},_createRange:function(){var a=this.options;a.range?(a.range===!0&&(a.values?a.values.length&&2!==a.values.length?a.values=[a.values[0],a.values[0]]:$.isArray(a.values)&&(a.values=a.values.slice(0)):a.values=[this._valueMin(),this._valueMin()]),this.range&&this.range.length?(this._removeClass(this.range,"ui-slider-range-min ui-slider-range-max"),this.range.css({left:"",bottom:""})):(this.range=$("<div>").appendTo(this.element),this._addClass(this.range,"ui-slider-range")),("min"===a.range||"max"===a.range)&&this._addClass(this.range,"ui-slider-range-"+a.range)):(this.range&&this.range.remove(),this.range=null)},_setupEvents:function(){this._off(this.handles),this._on(this.handles,this._handleEvents),this._hoverable(this.handles),this._focusable(this.handles)},_destroy:function(){this.handles.remove(),this.range&&this.range.remove(),this._mouseDestroy()},_mouseCapture:function(a){var b,c,d,e,f,g,h,i,j=this,k=this.options;return k.disabled?!1:(this.elementSize={width:this.element.outerWidth(),height:this.element.outerHeight()},this.elementOffset=this.element.offset(),b={x:a.pageX,y:a.pageY},c=this._normValueFromMouse(b),d=this._valueMax()-this._valueMin()+1,this.handles.each(function(a){var b=Math.abs(c-j.values(a));(d>b||d===b&&(a===j._lastChangedValue||j.values(a)===k.min))&&(d=b,e=$(this),f=a)}),g=this._start(a,f),g===!1?!1:(this._mouseSliding=!0,this._handleIndex=f,this._addClass(e,null,"ui-state-active"),e.trigger("focus"),h=e.offset(),i=!$(a.target).parents().addBack().is(".ui-slider-handle"),this._clickOffset=i?{left:0,top:0}:{left:a.pageX-h.left-e.width()/2,top:a.pageY-h.top-e.height()/2-(parseInt(e.css("borderTopWidth"),10)||0)-(parseInt(e.css("borderBottomWidth"),10)||0)+(parseInt(e.css("marginTop"),10)||0)},this.handles.hasClass("ui-state-hover")||this._slide(a,f,c),this._animateOff=!0,!0))},_mouseStart:function(){return!0},_mouseDrag:function(a){var b={x:a.pageX,y:a.pageY},c=this._normValueFromMouse(b);return this._slide(a,this._handleIndex,c),!1},_mouseStop:function(a){return this._removeClass(this.handles,null,"ui-state-active"),this._mouseSliding=!1,this._stop(a,this._handleIndex),this._change(a,this._handleIndex),this._handleIndex=null,this._clickOffset=null,this._animateOff=!1,!1},_detectOrientation:function(){this.orientation="vertical"===this.options.orientation?"vertical":"horizontal"},_normValueFromMouse:function(a){var b,c,d,e,f;return"horizontal"===this.orientation?(b=this.elementSize.width,c=a.x-this.elementOffset.left-(this._clickOffset?this._clickOffset.left:0)):(b=this.elementSize.height,c=a.y-this.elementOffset.top-(this._clickOffset?this._clickOffset.top:0)),d=c/b,d>1&&(d=1),d<0&&(d=0),"vertical"===this.orientation&&(d=1-d),e=this._valueMax()-this._valueMin(),f=this._valueMin()+d*e,this._trimAlignValue(f)},_uiHash:function(a,b,c){var d={handle:this.handles[a],handleIndex:a,value:void 0!==b?b:this.value()};return this._hasMultipleValues()&&(d.value=void 0!==b?b:this.values(a),d.values=c||this.values()),d},_hasMultipleValues:function(){return this.options.values&&this.options.values.length},_start:function(a,b){return this._trigger("start",a,this._uiHash(b))},_slide:function(a,b,c){var d,e,f=this.value(),g=this.values();this._hasMultipleValues()&&(e=this.values(b?0:1),f=this.values(b),2===this.options.values.length&&this.options.range===!0&&(c=0===b?Math.min(e,c):Math.max(e,c)),g[b]=c),c!==f&&(d=this._trigger("slide",a,this._uiHash(b,c,g)),d!==!1&&(this._hasMultipleValues()?this.values(b,c):this.value(c)))},_stop:function(a,b){this._trigger("stop",a,this._uiHash(b))},_change:function(a,b){this._keySliding||this._mouseSliding||(this._lastChangedValue=b,this._trigger("change",a,this._uiHash(b)))},value:function(a){return arguments.length?(this.options.value=this._trimAlignValue(a),this._refreshValue(),void this._change(null,0)):this._value()},values:function(a,b){var c,d,e;if(arguments.length>1)return this.options.values[a]=this._trimAlignValue(b),this._refreshValue(),void this._change(null,a);if(!arguments.length)return this._values();if(!$.isArray(arguments[0]))return this._hasMultipleValues()?this._values(a):this.value();for(c=this.options.values,d=arguments[0],e=0;e<c.length;e+=1)c[e]=this._trimAlignValue(d[e]),this._change(null,e);this._refreshValue()},_setOption:function(a,b){var c,d=0;switch("range"===a&&this.options.range===!0&&("min"===b?(this.options.value=this._values(0),this.options.values=null):"max"===b&&(this.options.value=this._values(this.options.values.length-1),this.options.values=null)),$.isArray(this.options.values)&&(d=this.options.values.length),this._super(a,b),a){case"orientation":this._detectOrientation(),this._removeClass("ui-slider-horizontal ui-slider-vertical")._addClass("ui-slider-"+this.orientation),this._refreshValue(),this.options.range&&this._refreshRange(b),this.handles.css("horizontal"===b?"bottom":"left","");break;case"value":this._animateOff=!0,this._refreshValue(),this._change(null,0),this._animateOff=!1;break;case"values":for(this._animateOff=!0,this._refreshValue(),c=d-1;c>=0;c--)this._change(null,c);this._animateOff=!1;break;case"step":case"min":case"max":this._animateOff=!0,this._calculateNewMax(),this._refreshValue(),this._animateOff=!1;break;case"range":this._animateOff=!0,this._refresh(),this._animateOff=!1}},_setOptionDisabled:function(a){this._super(a),this._toggleClass(null,"ui-state-disabled",!!a)},_value:function(){var a=this.options.value;return a=this._trimAlignValue(a)},_values:function(a){var b,c,d;if(arguments.length)return b=this.options.values[a],b=this._trimAlignValue(b);if(this._hasMultipleValues()){for(c=this.options.values.slice(),d=0;d<c.length;d+=1)c[d]=this._trimAlignValue(c[d]);return c}return[]},_trimAlignValue:function(a){if(a<=this._valueMin())return this._valueMin();if(a>=this._valueMax())return this._valueMax();var b=this.options.step>0?this.options.step:1,c=(a-this._valueMin())%b,d=a-c;return 2*Math.abs(c)>=b&&(d+=c>0?b:-b),parseFloat(d.toFixed(5))},_calculateNewMax:function(){var a=this.options.max,b=this._valueMin(),c=this.options.step,d=Math.round((a-b)/c)*c;a=d+b,a>this.options.max&&(a-=c),this.max=parseFloat(a.toFixed(this._precision()))},_precision:function(){var a=this._precisionOf(this.options.step);return null!==this.options.min&&(a=Math.max(a,this._precisionOf(this.options.min))),a},_precisionOf:function(a){var b=a.toString(),c=b.indexOf(".");return-1===c?0:b.length-c-1},_valueMin:function(){return this.options.min},_valueMax:function(){return this.max},_refreshRange:function(a){"vertical"===a&&this.range.css({width:"",left:""}),"horizontal"===a&&this.range.css({height:"",bottom:""})},_refreshValue:function(){var a,b,c,d,e,f=this.options.range,g=this.options,h=this,i=this._animateOff?!1:g.animate,j={};this._hasMultipleValues()?this.handles.each(function(c){b=(h.values(c)-h._valueMin())/(h._valueMax()-h._valueMin())*100,j["horizontal"===h.orientation?"left":"bottom"]=b+"%",$(this).stop(1,1)[i?"animate":"css"](j,g.animate),h.options.range===!0&&("horizontal"===h.orientation?(0===c&&h.range.stop(1,1)[i?"animate":"css"]({left:b+"%"},g.animate),1===c&&h.range[i?"animate":"css"]({width:b-a+"%"},{queue:!1,duration:g.animate})):(0===c&&h.range.stop(1,1)[i?"animate":"css"]({bottom:b+"%"},g.animate),1===c&&h.range[i?"animate":"css"]({height:b-a+"%"},{queue:!1,duration:g.animate}))),a=b}):(c=this.value(),d=this._valueMin(),e=this._valueMax(),b=e!==d?(c-d)/(e-d)*100:0,j["horizontal"===this.orientation?"left":"bottom"]=b+"%",this.handle.stop(1,1)[i?"animate":"css"](j,g.animate),"min"===f&&"horizontal"===this.orientation&&this.range.stop(1,1)[i?"animate":"css"]({width:b+"%"},g.animate),"max"===f&&"horizontal"===this.orientation&&this.range.stop(1,1)[i?"animate":"css"]({width:100-b+"%"},g.animate),"min"===f&&"vertical"===this.orientation&&this.range.stop(1,1)[i?"animate":"css"]({height:b+"%"},g.animate),"max"===f&&"vertical"===this.orientation&&this.range.stop(1,1)[i?"animate":"css"]({height:100-b+"%"},g.animate))},_handleEvents:{keydown:function(a){var b,c,d,e,f=$(a.target).data("ui-slider-handle-index");switch(a.keyCode){case $.ui.keyCode.HOME:case $.ui.keyCode.END:case $.ui.keyCode.PAGE_UP:case $.ui.keyCode.PAGE_DOWN:case $.ui.keyCode.UP:case $.ui.keyCode.RIGHT:case $.ui.keyCode.DOWN:case $.ui.keyCode.LEFT:if(a.preventDefault(),!this._keySliding&&(this._keySliding=!0,this._addClass($(a.target),null,"ui-state-active"),b=this._start(a,f),b===!1))return}switch(e=this.options.step,c=d=this._hasMultipleValues()?this.values(f):this.value(),a.keyCode){case $.ui.keyCode.HOME:d=this._valueMin();break;case $.ui.keyCode.END:d=this._valueMax();break;case $.ui.keyCode.PAGE_UP:d=this._trimAlignValue(c+(this._valueMax()-this._valueMin())/this.numPages);break;case $.ui.keyCode.PAGE_DOWN:d=this._trimAlignValue(c-(this._valueMax()-this._valueMin())/this.numPages);break;case $.ui.keyCode.UP:case $.ui.keyCode.RIGHT:if(c===this._valueMax())return;d=this._trimAlignValue(c+e);break;case $.ui.keyCode.DOWN:case $.ui.keyCode.LEFT:if(c===this._valueMin())return;d=this._trimAlignValue(c-e)}this._slide(a,f,d)},keyup:function(a){var b=$(a.target).data("ui-slider-handle-index");this._keySliding&&(this._keySliding=!1,this._stop(a,b),this._change(a,b),this._removeClass($(a.target),null,"ui-state-active"))}}});